import request from "@/utils/request";

// 个人信息录入
export const insertClientUser = (data) => {
    return request({
        url: "/app/insertClientUser",
        method: "POST",
        data,
    });
};


// 专家活动列表
export const activitysList = (params) => {
    return request({
        url: "/app/expert/getActivitys",
        method: "GET",
        params,
    });
};


// 专家论文列表
export const paperList = (params) => {
    return request({
        url: "/app/expert/getPaperList",
        method: "GET",
        params,
    });
};
// 专家新增论文
export const insertCasPaper = (data) => {
    return request({
        url: "/app/expert/insertCasPaper",
        method: "POST",
        data,
    });
};
// 专家修改论文
export const updateCasPaper = (data) => {
    return request({
        url: "/app/expert/updateCasPaper",
        method: "PUT",
        data,
    });
};
// 专家删除论文
export const deleteCasPaper = (ids) => {
    return request({
        url: `/app/expert/paper/${ids}`,
        method: "DELETE",
    });
};


